# Disabling links and avatars or icons in templates

<mark style="color:green;">SINCE V7.1.1.6</mark>

Templates are aware of two velocity variables that work with Email This Issue's macros:

* `disableAvatars: #renderIssueType(), #renderPriority(), #renderResolution()`
* `disableLinks: #renderSummary(), #renderProject(), #renderUser(), #footer(), #renderLinkToCustomerPortal(), #renderLinkToIssueCustomerPortal(),`&#x20;

{% hint style="warning" %}
**Important**: These variables do not work with the built-in Jira macros.
{% endhint %}

## Disabling links <a href="#disablelinksandavatarsoriconsintemplates-disablelinks" id="disablelinksandavatarsoriconsintemplates-disablelinks"></a>

Add this to the beginning of the template to disable links:

`#set($disableLinks="true")`

{% hint style="info" %}
**Note**: Disabling links with this variable might not remove all links from the final email. Custom fields provided by third-party add-ons may still generate links that cannot be suppressed. Also, your mail client, like Outlook, may recognize links even if they are not inserted as links in the template.
{% endhint %}

## Disabling avatars or icons <a href="#disablelinksandavatarsoriconsintemplates-disableavatarsoricons" id="disablelinksandavatarsoriconsintemplates-disableavatarsoricons"></a>

Adding this will prevent rendering user avatars and issue icons (type, priority, resolution):

`#set($disableAvatars="true")`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/email-templates/disabling-links-and-avatars-or-icons-in-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
